# $Revision: 1.11 $, $Date: 2002/04/17 18:43:29 $
Summary:	Easy configurable node/gateway (AX25)
Summary(pl):	Prosto konfigurowalny przekanik/brama (AX25)
Name:		awznode
Version:	v0.4pre2
Release:	2
License:	GPL
Group:		Applications/Communications
Source0:	ftp://ftp.icm.edu.pl/vol/rzm0/ham/unix/Linux/packet/awznode/%{name}-v0.4-pre2.tar.gz
Patch0:		http://zolw.eu.org/~djrzulf/PLD/patch/%{name}-configure.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildRequires:	zlib-devel
BuildRequires:	libax25-devel
Requires:	zlib >= 1.1.3
Requires:	libax25 >= 0.0.9
Requires:	ax25-tools >= 0.0.8

%description
Easy node/gateway software for AX25 procotole. It's usable tool if you
want create gateway packetradio <> Internet (both sides).

%description -l pl
Prosty przekanik/brama dla protokou AX25. Przydatne narzdzie przy
budowaniu bramek packetradio <> Internet.

%prep
%setup -q -n awznode-v0.4-pre2
%patch0 -p0

%build
%configure2_13
%{__make} CC="%{__cc} %{rpmcflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/ax25/{node,flex} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_bindir},%{_libdir}/ax25/node/help} \
	$RPM_BUILD_ROOT%{_mandir}/man{1,5,8} \
	$RPM_BUILD_ROOT%{_sysconfdir}/ax25

install etc/loggedin   $RPM_BUILD_ROOT/var/ax25/node
install etc/lastlog    $RPM_BUILD_ROOT/var/ax25/node
install etc/gateways   $RPM_BUILD_ROOT/var/ax25/flex

install node $RPM_BUILD_ROOT%{_sbindir}
install nodeusers $RPM_BUILD_ROOT%{_sbindir}
install flexd $RPM_BUILD_ROOT%{_sbindir}

install etc/help/*.hlp $RPM_BUILD_ROOT%{_libdir}/ax25/node/help

install etc/node.conf.ex $RPM_BUILD_ROOT%{_sysconfdir}/ax25
install etc/node.perms.ex $RPM_BUILD_ROOT%{_sysconfdir}/ax25
install etc/node.info.ex $RPM_BUILD_ROOT%{_sysconfdir}/ax25
install etc/node.motd.ex $RPM_BUILD_ROOT%{_sysconfdir}/ax25
install etc/node.users.ex $RPM_BUILD_ROOT%{_sysconfdir}/ax25
install etc/node.routes.ex $RPM_BUILD_ROOT%{_sysconfdir}/ax25
install etc/flexd.conf.ex $RPM_BUILD_ROOT%{_sysconfdir}/ax25

install man/nodeusers.1  $RPM_BUILD_ROOT%{_mandir}/man1
install man/node.conf.5  $RPM_BUILD_ROOT%{_mandir}/man5
install man/node.perms.5 $RPM_BUILD_ROOT%{_mandir}/man5
install man/node.8       $RPM_BUILD_ROOT%{_mandir}/man8

gzip -9nf CHANGES README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.gz README.gz
%attr(755,root,root) %{_sbindir}/nodeusers
%attr(755,root,root) %{_sbindir}/flexd
%attr(4775,root,root) %{_sbindir}/node
%attr(600,root,root) %{_sysconfdir}/ax25/*
%{_mandir}/man?/*
/var/ax25/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: awznode.spec,v $
Revision 1.11  2002/04/17 18:43:29  marcus
-rel2.

Revision 1.10  2002/02/23 01:23:24  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:12:28  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/12/13 21:37:18  qboosh
- pl characters, simplifications, s/GNU/GPL/ in License
- gzip doc, removed COPYING (known - GPL) and INSTALL files from doc

Revision 1.6  2001/10/29 10:04:32  qboosh
- adapterized, cosmetics, removed %%mandir/man* dirs from package

Revision 1.5  2001/10/26 21:25:56  djrzulf
- corrected Summary and Description texts

Revision 1.4  2001/10/24 21:18:33  djrzulf
- don't need extra configure, parms for arch done by
  %{__make} CC="gcc %{rpmcflags} -Wall", i think it's enough

Revision 1.3  2001/10/23 18:15:44  djrzulf
- created spec for PLD
- sticky arch becouse it has very poor ./configure - if someone can - please
  rewrite ./configure script of awznode, becouse it can't build for other
  arch than builder is installed on
